<div class="flex flex-col flex-auto min-w-0">
    <mat-card class="border-0">
        <mat-card-header class="bg-blue-800 justify-center rounded-t-lg">
            <mat-label class="mb-4 text-white justify-center items-center">
                <div class="text-xl">แบบประเมิน {{title}} : <span class="text-amber-300">{{evaluate.evaluate_score.score}}</span> </div>
                <!-- <div class="mt-2 text-amber-300"> {{evaluate.evaluate_score.score | evaluateScore : 'barthel'}}</div> -->
            </mat-label>
        </mat-card-header>

        <div class="flex flex-col divide-y">
            <div class="card-body">
                <ngx-spinner [fullScreen]="false" color="#fff" type="ball-clip-rotate-multiple" size="medium">
                    <p class="myLoading">Loading Datas...</p>
                </ngx-spinner>
            </div>
        
        
            <div class="flex flex-col" *ngFor="let r of evaluate.evaluate_data; let i= index">
                <p class="font-bold pl-2 mt-2">{{r.question_text}} </p>
                <span class="text-blue-700 pl-4"> [{{r.answer_score}} คะแนน] {{r.answer_text}} {{r.note_text}}</span>
            </div>
            <div class="flex flex-auto w-full mt-4 mb-2 justify-center items-center">
                <mat-dialog-actions>
                    <button mat-raised-button color="primary"
                        (click)="close()">Close Dialog</button>

                    <button *ngIf="lastVisit == 'Y'"  routerLink="/evaluate/modified-ranking" (click)="close()"
                        class="hidden sm:inline-flex"
                        mat-stroked-button>
                        <mat-icon
                            class="icon-size-5"
                            [svgIcon]="'heroicons_solid:cog'"></mat-icon>
                        <span class="ml-2">แก้ไขข้อมูล</span>
                    </button>
                </mat-dialog-actions>
            </div>
        </div>

    </mat-card>      
</div>  

